#pragma once

#include "common.h"

struct limine_framebuffer;

void put(int ch);

void print(const char *msg);
void printn(const char *msg, size_t len);
void print64(u64 n);
void print32(u32 n);
void print16(u16 n);
void print8(u8 n);
void print_init(struct limine_framebuffer *fb);
void unput(void);
